| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::Tonemap Class Referenceabstract
Computational Photography » HDR imaging

Base class for tonemapping algorithms - tools that are used to map HDR image to 8-bit range. More...

`#include <opencv2/photo.hpp>`

Inheritance diagram for cv::Tonemap:

## Public Member Functions
virtual float | getGamma () const =0
virtual void | process (InputArray src, OutputArray dst)=0
| Tonemaps image. More...
virtual void | setGamma (float gamma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for tonemapping algorithms - tools that are used to map HDR image to 8-bit range.

## Member Function Documentation

## § getGamma()

virtual float cv::Tonemap::getGamma | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.Tonemap.getGamma( |  | )

## § process()

virtual void cv::Tonemap::process | ( | InputArray | src,
|  | OutputArray | dst
| ) |  |
| pure virtual

Python:
| dst | = | cv.Tonemap.process( | src[, dst] | )

Tonemaps image.

Parameters

  src | source image - CV_32FC3 Mat (float 32 bits 3 channels)
  dst | destination image - CV_32FC3 Mat with values in [0, 1] range

## § setGamma()

virtual void cv::Tonemap::setGamma | ( | float | gamma | ) |
| pure virtual

Python:
| None | = | cv.Tonemap.setGamma( | gamma | )

The documentation for this class was generated from the following file:

- opencv2/photo.hpp